Bug 452465 - segfault in alsa-lib
segfault in alsa-lib
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-23 03:17 EDT by Evan Klitzke
Modified: 2009-12-18 01:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:13:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evan Klitzke 2008-06-23 03:17:33 EDT
Version info:

Name       : alsa-lib
Arch       : i386
Version    : 1.0.16
Release    : 3.fc9

When I try to run mpd (the one I build from upstream svn or the one in livna) I
get a segfault in libalsa2.so:

[00:14][evan@thinkpad ~]$ gdb mpd
GNU gdb Fedora (6.8-10.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/bin/mpd
[Thread debugging using libthread_db enabled]
[New Thread 0xb80da6c0 (LWP 16087)]
[New Thread 0xb7c88b90 (LWP 16090)]

Program received signal SIGSEGV, Segmentation fault.
0x02bb9dbc in snd_pcm_ioplug_close (pcm=<value optimized out>) at pcm_ioplug.c:733
733             if (io->data->callback->close)
Missing separate debuginfos, use: debuginfo-install alsa-plugins.i386
audiofile.i386 avahi.i386 dbus.i386 faad2.i386 flac.i386
jack-audio-connection-kit.i386 libICE.i386 libSM.i386 libX11.i386 libXau.i386
libXdmcp.i386 libcap.i386 libid3tag.i386 libmad.i386 libmikmod.i386
libmpcdec.i386 libogg.i386 libsamplerate.i386 libshout.i386 libtheora.i386
libvorbis.i386 libxcb.i386 pulseaudio.i386 speex.i386 zlib.i386
(gdb) bt
#0  0x02bb9dbc in snd_pcm_ioplug_close (pcm=<value optimized out>) at
pcm_ioplug.c:733
#1  0x02b77ce6 in snd_pcm_close (pcm=<value optimized out>) at pcm.c:699
#2  0x0804eff0 in alsa_testDefault () at audioOutputs/audioOutput_alsa.c:121
#3  0x08058e8f in initAudioOutput (ao=0x86f25b0, param=0x0) at audioOutput.c:100
#4  0x08058881 in initAudioDriver () at audio.c:127
#5  0x080678be in main (argc=Cannot access memory at address 0x21
) at main.c:429
Comment 1 Evan Klitzke 2008-06-23 03:21:50 EDT
of course i meant libasound.so.2 not libalsa2.so
Comment 2 Jaroslav Kysela 2008-09-29 03:20:51 EDT
Could you retest with recent alsa-lib package (from update)?
Comment 3 Dave Russell 2008-12-08 05:52:29 EST
This is still a problem with F10, so later versions have not fixed the problem.

See my explanation below:

MPD is unusable as far as I am aware... attempts to start it cause it to
immediately segmentation fault.

There is an initial problem with it not being part of the pulse-rt group, but
even when that is fixed, those errors go away and the segfault remains.

This is on a fully updated fresh install of F10

[root@swires ~]# service mpd start
Starting The Music Player Daemon: I: caps.c: Limited capabilities successfully
to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
[WARN  3422] polkit-session.c:144:polkit_session_set_uid(): session != NULL
 Not built with -rdynamic so unable to print a backtrace
/bin/bash: line 1:  3418 Segmentation fault      /usr/bin/mpd
                                                           [FAILED]

Logs from /var/log/messages suggest:

Dec  8 08:30:13 swires pulseaudio[3422]: polkit.c: Cannot set UID on session
object.
Dec  8 08:30:13 swires pulseaudio[3422]: main.c: Called SUID root and
real-time/high-priority scheduling was requested in the configuration. However,
we lack the necessary privileges:
Dec  8 08:30:13 swires pulseaudio[3422]: main.c: We are not in group 'pulse-rt'
and PolicyKit refuse to grant us privileges. Dropping SUID again.
Dec  8 08:30:13 swires pulseaudio[3422]: main.c: For enabling real-time
scheduling please acquire the appropriate PolicyKit privileges, or become a
member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits
for this user.
Dec  8 08:30:13 swires pulseaudio[3422]: main.c: High-priority scheduling
enabled in configuration but not allowed by policy.
Dec  8 08:30:13 swires pulseaudio[3422]: core-util.c: setpriority(): Permission
denied
Dec  8 08:30:13 swires kernel: mpd[3418]: segfault at 134af0 ip 0742ac6c sp
bfb27000 error 4 in libasound.so.2.0.0[739b000+dd000]

So I fix the first part:

usermod -aG pulse-rt mpd

Which leaves us with:

[root@swires ~]# service mpd start
Starting The Music Player Daemon: I: caps.c: Limited capabilities successfully
to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
/bin/bash: line 1:  3150 Segmentation fault      /usr/bin/mpd
                                                           [FAILED]
and from /var/log/messages we are left with:

Dec  8 08:49:09 swires kernel: mpd[3150]: segfault at 134af0 ip 0742ac6c sp
bfaf1d60 error 4 in libasound.so.2.0.0[739b000+dd000]

(Note this was originally from https://bugzilla.rpmfusion.org/show_bug.cgi?id=230 but I've been quite rightly re-directed here.)
Comment 4 Dave Russell 2008-12-08 09:34:59 EST
Information provided above.
Comment 5 Bug Zapper 2009-06-09 21:44:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 05:13:45 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:13:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.